0

I recently bought a laptop with a gtx1050 in it installed Kubuntu after a lot of struggling I and a friend managed to install the nvidia-driver-415 and cuda 10. However I want to use this card with hashcat which require OpenCL and here where te problem start. All these packets are installed on my system:

libnvidia-cfg1-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-common-415/cosmic,cosmic,now 415.27-0ubuntu0~gpu18.10.1 all [installed,automatic]
libnvidia-compute-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-compute-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 i386 [installed,automatic]
libnvidia-decode-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-decode-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 i386 [installed,automatic]
libnvidia-encode-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-encode-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 i386 [installed,automatic]
libnvidia-fbc1-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-fbc1-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 i386 [installed,automatic]
libnvidia-gl-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-gl-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 i386 [installed,automatic]
libnvidia-ifr1-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
libnvidia-ifr1-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 i386 [installed,automatic]
nvidia-compute-utils-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
nvidia-dkms-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
nvidia-driver-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed]
nvidia-kernel-common-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
nvidia-kernel-source-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
nvidia-opencl-dev/cosmic,now 9.1.85-4ubuntu1 amd64 [installed]
nvidia-prime/cosmic,cosmic,now 0.8.10 all [installed,automatic]
nvidia-settings/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
nvidia-utils-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]
xserver-xorg-video-nvidia-415/cosmic,now 415.27-0ubuntu0~gpu18.10.1 amd64 [installed,automatic]

uname -a:

Linux Samuel-PcPortable 4.18.0-13-generic #14-Ubuntu SMP Wed Dec 5 09:04:24 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

However hachcat -b spit this error out:

hashcat (v4.2.1) starting in benchmark mode...

Benchmarking uses hand-optimized kernel code by default. You can use it in your cracking session by setting the -O option. Note: Using optimized kernel code limits the maximum supported password length. To disable the optimized kernel code in benchmark mode, use the -w option.

* Device #1: Intel's OpenCL runtime (GPU only) is currently broken.
             We are waiting for updated OpenCL drivers from Intel.
             You can use --force to override, but do not report related errors.
* Device #2: Not a native Intel OpenCL runtime. Expect massive speed loss.
             You can use --force to override, but do not report related errors. No devices found/left.

Started: Fri Jan 25 22:36:27 2019 Stopped: Fri Jan 25 22:36:28 2019

Device 1 and 2 are respectively my CPU and CPU-Intergated graphics I've tried these combinaisons of kernel/nvidia-driver: 4.18/415 4.18/410 4.18/396 4.15/415 4.15/410

nvidia-cuda-toolkit is also installed

What would be the steps to install opencl on the driver 415 on the kernel 4.18 ?

0

So I solved the problem by following this tutorial: https://hashcat.net/faq/wrongdriver But not using apt install to install the nvidia drive but downloading them for the site. You also need to kill Xorg before installing the driver

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.